
#ifndef DXFWRITE_H

#define DXFWRITE_H

#include <stdio.h>
#include "dxftokens.h"

class dxfwrite {
 private:
   FILE *fp;
   int coordmark;
 private:
   void write_longval(unsigned int val);
   void write_dxfval(unsigned int val);
   void write_dxfstring(const char *name);
   void write_dxfname( const dxftoken token);
   void write_header(void);
   void write_tables(void);
   void write_entstart(void);
   void write_3DFACE_start(void);
   void write_endsec(void);
   void write_EOF(void);
   void write_blankcolornum(void);
   void write_dxfcoord(int mark, int *coord );
   void write_dxfpoint(int *pointlist);
   void write_faces(int *pointlist, int num_faces);
 public:
   void write_3DFACE( FILE *fileptr, int *pointlist, int num_faces );
   dxfwrite(void) { coordmark = 10; }
};

#endif
