
/*===============================<o>=====================================

  This software was written by Ian L. Kaplan, Chief Fat Bear, Bear Products
  International.  Use of this software, for any purpose, is granted on two
  conditions: 

   1. This copyright notice must be included with the software
      or any software derived from it.

   2. The risk of using this software is accepted by the user.  No
      warranty as to its usefulness or functionality is provided
      or implied.  The author and Bear Products International provides
      no support.

   May 1996

 ===============================<o>=====================================*/


#include <stdio.h>
#include "sier.h"
#include "commline.h"
#include "gldisp.h"
#include "dxfwrite.h"


static FILE *open_file( const char *filename )
{
  FILE *fileptr;

  if (filename == NULL) {
    fileptr = stdout;
  }
  else {
    fileptr = fopen(filename, "w");
    if (fileptr == (FILE *)-1) {
      perror(filename);
    }
  }
  return fileptr;
} // open_file



void
main(int argc, char *argv[])
{
  commline args( argc, argv );  // process command line arguments

  if (args.get_status() == commline::ArgsOK) {
    dxfwrite dxf;
    FILE *fileptr;

    const char *filename = args.get_filename();
    const int pyr_power = args.get_power();

    fileptr = open_file( filename );
    
    Sierpinski pyr( pyr_power );
    const int *facelist = pyr.get_facelist();
    const int num_faces = pyr.get_num_faces();
    const int pyr_size = pyr.get_size();
    
    dxf.write_3DFACE( fileptr, (int *)facelist, num_faces );
    fclose( fileptr );
    openGL_display( facelist, pyr_size, num_faces );
  }
}
